GNU bug report logs - #34202
27.0.50; Opening a pdf shows raw file at first

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Marcin Borkowski <mbork@HIDDEN>; merged with #34138; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 34138 <at> debbugs.gnu.org and Stephen Berman <stephen.berman@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34202 <at> debbugs.gnu.org:


Received: (at 34202) by debbugs.gnu.org; 19 Feb 2019 08:47:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 03:47:23 2019
Received: from localhost ([127.0.0.1]:53847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw13i-0002kc-Lg
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:47:22 -0500
Received: from mout.gmx.net ([212.227.15.15]:57735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gw13h-0002g2-05
 for 34202 <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:47:21 -0500
Received: from [192.168.1.101] ([213.162.73.134]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lbd9v-1hJIG03Wwt-00lFEt; Tue, 19
 Feb 2019 09:47:07 +0100
Message-ID: <5C6BC285.5000108@HIDDEN>
Date: Tue, 19 Feb 2019 09:47:01 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Marcin Borkowski <mbork@HIDDEN>
Subject: Re: bug#34202: 27.0.50; Opening a pdf shows raw file at first
References: <87y378e82v.fsf@HIDDEN> <5C5562E6.4070001@HIDDEN>
 <875zu2qcgo.fsf@HIDDEN>
In-Reply-To: <875zu2qcgo.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:8/MWkoK1uue1EP539BCcbHNTSRqm88iKaFR+LOyKhKDG9+FOCp9
 66fd74j5rtATcH63xGq9vmDaqS9c7LXxd3a1sVV5XBUz42fbXP7Q+TTg5F9ajolKegZj4HT
 9Q0+yRvsC4BZseyB1mWN/I00nxozSvzbCa9M0tSml3gzCX3Dr/OQp+U2VwyW09qpRlaBABW
 vfAUQLmaLgEXmX/bkc+zg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9ihAVplH2BE=:CDoc5ElSyQlsGSLVogb9p9
 mvYVBWb8wcmutwjiIqMOh2IL//3Mp8vHSkDdugoEdNL/jKbMczwk4WUWIKhNighu2YpgsAnfO
 8nFlyr6PLHViJV26qKSzbum2rPPPXKpnCt97v2/X+y5WZIWLcQLMBcal0PIUrp7qbbIP4YT/1
 Y7tXyiWuYpaezpJisF9o9+ht+l3VY3wuHDymGM11VHWluV1QDX/8bRpD++KVJ4FREKdoZFn4Y
 HJ9zdX3OEbgvCJrTpIXshfya2AG71r+UuqBwNiYLQhkXycfynfjuoWCXgRKN8zzk9JhfxL7mq
 pvH1L2g5gjJ0wMVCPr//U5BaFTmUy/ewq0oOxy/BOQ2x0c1BzO/oALZNLRM285WhA5REPWDqG
 23NWo1EGp8kfBs69HJYZXgmoJ4+3Fn5+A/4RtivHGXDZSIWbst5rF0AVEDnXYzAuqDYtpb6zt
 6fHXuxFaoiloEtiZ+ph0xZGxPEJqf0zJwp260b4udHkfc5KWKkMqSB0Z0BAjeIK2H58bY+Q1O
 xd7EIPhCtnUfnqbP4UeoZRi7pvK9MqPLgiOMvMu2xtUgcfMpR5Kqzg1yZNj/LwsaRO54eoq4a
 0vwlh6hnOB1yzoxSwABf8DKdfs2wTT9m/Z5nGnT+IRqu/wa4h4dzDzsFkgNzYdASZCrroI264
 lLTCn5D8z1D3Ves1g2iEd+0wVtdeUA+YFlFpCmZ6LlkehXntH6IqZ+ZooKJfudGbCWsT7nlG1
 KyS1zqsKo8QcDnUOmorCQPKOJmdmeNzc/6XLa4CrH8xBH+BJMRMjCLFPdmzW5hZq+9JHFQNI2
 B1avGpgHW6UiKHxD7CJ9URjT8tzSqyax31i2LsG92pvl8pdOoForLptm9+ajs+qi6byOa6aTU
 vpuUTKPekZnc3el442ACdCi/HYLIubdLTM0GqwuSuaMG5criXEsd71SxEpa9+9PeBJfvFY/2m
 FFzk84S06BA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34202
Cc: 34202 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Should be fixed now.  Please try again with latest master.
>
> Thank you, LGTM.

I closed the bug now.

Thanks for the report, martin






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34202; Package emacs. Full text available.
bug Marked as fixed in versions 27.1. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34202 <at> debbugs.gnu.org:


Received: (at 34202) by debbugs.gnu.org; 2 Feb 2019 18:21:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 13:21:13 2019
Received: from localhost ([127.0.0.1]:56581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpzuj-0001YT-8d
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 13:21:13 -0500
Received: from mail.mojserwer.eu ([195.110.48.8]:48664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbork@HIDDEN>) id 1gpzuh-0001YJ-2k
 for 34202 <at> debbugs.gnu.org; Sat, 02 Feb 2019 13:21:11 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.mojserwer.eu (Postfix) with ESMTP id 63F22E6698;
 Sat,  2 Feb 2019 19:21:08 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail.mojserwer.eu
Received: from mail.mojserwer.eu ([127.0.0.1])
 by localhost (mail.mojserwer.eu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id IHi2t4F5Wgom; Sat,  2 Feb 2019 19:21:05 +0100 (CET)
Received: from localhost (static-dwadziewiec-jedenpiec7.echostar.pl
 [109.232.29.157])
 by mail.mojserwer.eu (Postfix) with ESMTPSA id 9469AE6557;
 Sat,  2 Feb 2019 19:21:05 +0100 (CET)
References: <87y378e82v.fsf@HIDDEN> <5C5562E6.4070001@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: Marcin Borkowski <mbork@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#34202: 27.0.50; Opening a pdf shows raw file at first
In-reply-to: <5C5562E6.4070001@HIDDEN>
Date: Sat, 02 Feb 2019 19:20:23 +0100
Message-ID: <875zu2qcgo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34202
Cc: 34202 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


On 2019-02-02, at 10:29, martin rudalics <rudalics@HIDDEN> wrote:

>> `C-x C-f' any pdf file.  What is shown is a raw view instead of rendered
>> pdf.  After e.g. pressing an arrow or `n', docview (or pdf-tools if
>> installed) kicks in correctly.  Tested on emacs -Q.
>
> Should be fixed now.  Please try again with latest master.

Thank you, LGTM.

-- 
Marcin Borkowski
http://mbork.pl




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34202; Package emacs. Full text available.

Message received at 34202 <at> debbugs.gnu.org:


Received: (at 34202) by debbugs.gnu.org; 2 Feb 2019 09:29:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 02 04:29:27 2019
Received: from localhost ([127.0.0.1]:55474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gprc6-0000e6-N2
	for submit <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:29:26 -0500
Received: from mout.gmx.net ([212.227.15.19]:33099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gprc3-0000dp-4Q
 for 34202 <at> debbugs.gnu.org; Sat, 02 Feb 2019 04:29:24 -0500
Received: from [192.168.1.101] ([212.95.5.95]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M8NBi-1h3hCf3ioU-00vuP5; Sat, 02
 Feb 2019 10:29:11 +0100
Message-ID: <5C5562E6.4070001@HIDDEN>
Date: Sat, 02 Feb 2019 10:29:10 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Marcin Borkowski <mbork@HIDDEN>, 34202 <at> debbugs.gnu.org
Subject: Re: bug#34202: 27.0.50; Opening a pdf shows raw file at first
References: <87y378e82v.fsf@HIDDEN>
In-Reply-To: <87y378e82v.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:q9l6prGJ4j36FECJIklSU+wmz3g+V91uNmuWv8MzjihNMVqmSbh
 bfxfmIwCfhH2dxhVVeL1oNSX5nb13lqzbHvvtM5iK6W1Zym6kFPZ3j7iBRLCrRPJdzd1rs6
 MxeTSzYbI5Sw6N/6te4tkgSH944v5t232aucw7szWy3qlDtM0Dd+iYxV/J+N+gNHisGs3SS
 WlEwjmWA9jf767bKbFLHA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:GN7eSkWyHRU=:oukBr0wQJTTnqBEwEpQxsE
 XsRkWomSG/rc0wqLB0XQ+N8uWpV3M/ePVwp6PSq8thoKE9v16GJozN3ICHimDqB4+S5TNe+03
 fnjoW/shkN1EQNi6eSxOC2kjis57EPbkAwfxUudIsa2iwKrkcpnRVUFQ3DQYaZRb8Gp04/NJj
 tEwks/m4N4qU+MwRcCgPnLgq3/cwjVdrhkq3tTJQbJXCY2Sbh0O1RqhAPfgEyS05rD5sAo2Vc
 x1yuqLVDxrmkNUzyqxMp/u3dTIJNFgmWJ5hGdfT9MLuzfUwE+Wc4whlh8rmTLyq7VRV8QmLbJ
 70PzW1fjnxjkroBtX9U6U/4OWUt7kGnsACILVFlkKkH1d6B3b9ora2F9Xjmao9qGpu1tXZmxw
 Blb2BWZJEzUYQMiVKaJi70G3BooIGDsTss8hXHZ3eSdGafrBQM2fWT+5HBaIbRyMmcNR4/kS4
 aoiPdm6XvJhTXoKxIVdxbpSgnI4fOguhOeXAts60bUb/xIhpiiUn8teBkiuV1SX3byfSFssuH
 2gCHVXuLgQPZCaeTTsI7o1AZcsCUk5f1Gnp7JnGPtIhm/v3/D5/Z7+6YN18aUtvDlD6Do4yCC
 2DtdLi2p8dSlseINhYvWNlRsKZiTUHhnJ7gFCKhNDatrOa/Qq38PLvXkXogRVwTRYaecAFjUn
 zE5mVbVs8ykqqr5OFBpnzsO+IXhovxfEyPjQZvWBMg2HGLxdKELlJNxANImNqjJmWP/4o4y/5
 FR1+JMzI1PBp3TyETjQa1wyHnAWNv1ZrIecRPsFPVFnT24Ros1Prpvi4s39sNdvaL34DQfXWc
 nQZwtaIju+MOuHLoafmUtintukV5z2obeMNfCzDt70lkrFU8wrc8uvdAm3VXF/KeS6IT5e5SD
 HC95Nc7wbFJmQNqMl0d7BnLe2M3AmHwJ73m5uv4Rl4PONgob42kAQrOtbMKXzPbvSsi2S6Qne
 Z2JillFjWlg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34202
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> `C-x C-f' any pdf file.  What is shown is a raw view instead of rendered
> pdf.  After e.g. pressing an arrow or `n', docview (or pdf-tools if
> installed) kicks in correctly.  Tested on emacs -Q.

Should be fixed now.  Please try again with latest master.

Thank you, martin






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34202; Package emacs. Full text available.
Merged 34138 34202. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34202 <at> debbugs.gnu.org:


Received: (at 34202) by debbugs.gnu.org; 26 Jan 2019 07:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 02:11:10 2019
Received: from localhost ([127.0.0.1]:45787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnI7R-0001qD-Qo
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 02:11:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1gnI78-0001pH-Ts; Sat, 26 Jan 2019 02:10:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36604)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gnI6r-0006qV-AA; Sat, 26 Jan 2019 02:10:35 -0500
Received: from [176.228.60.248] (port=2661 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gnI6n-00076h-CP; Sat, 26 Jan 2019 02:10:33 -0500
Date: Sat, 26 Jan 2019 09:10:07 +0200
Message-Id: <83sgxf6gj4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Marcin Borkowski <mbork@HIDDEN>
In-reply-to: <87y378e82v.fsf@HIDDEN> (message from Marcin Borkowski on Fri, 
 25 Jan 2019 22:33:12 +0100)
Subject: Re: bug#34202: 27.0.50; Opening a pdf shows raw file at first
References: <87y378e82v.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34202
Cc: 34202 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 34202 34138
thanks

> From: Marcin Borkowski <mbork@HIDDEN>
> Date: Fri, 25 Jan 2019 22:33:12 +0100
> 
> `C-x C-f' any pdf file.  What is shown is a raw view instead of rendered
> pdf.  After e.g. pressing an arrow or `n', docview (or pdf-tools if
> installed) kicks in correctly.  Tested on emacs -Q.

This is an exact duplicate of bug#34138.  See there for the on-going
investigation of the reasons.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34202; Package emacs. Full text available.
Merged 34138 34202. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jan 2019 21:34:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 25 16:34:19 2019
Received: from localhost ([127.0.0.1]:45643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gn97B-0000k2-C9
	for submit <at> debbugs.gnu.org; Fri, 25 Jan 2019 16:34:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbork@HIDDEN>) id 1gn979-0000jq-GW
 for submit <at> debbugs.gnu.org; Fri, 25 Jan 2019 16:34:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:56972)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mbork@HIDDEN>) id 1gn972-0008G7-RY
 for submit <at> debbugs.gnu.org; Fri, 25 Jan 2019 16:34:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45317)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mbork@HIDDEN>) id 1gn971-00075v-TS
 for bug-gnu-emacs@HIDDEN; Fri, 25 Jan 2019 16:34:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mbork@HIDDEN>) id 1gn970-0008F0-4S
 for bug-gnu-emacs@HIDDEN; Fri, 25 Jan 2019 16:34:07 -0500
Received: from mail.mojserwer.eu ([195.110.48.8]:49068)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mbork@HIDDEN>) id 1gn96z-0008Dc-Tv
 for bug-gnu-emacs@HIDDEN; Fri, 25 Jan 2019 16:34:06 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.mojserwer.eu (Postfix) with ESMTP id 5DFE6E6BE2
 for <bug-gnu-emacs@HIDDEN>; Fri, 25 Jan 2019 22:33:59 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail.mojserwer.eu
Received: from mail.mojserwer.eu ([127.0.0.1])
 by localhost (mail.mojserwer.eu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id jjWbD_-Ii046 for <bug-gnu-emacs@HIDDEN>;
 Fri, 25 Jan 2019 22:33:54 +0100 (CET)
Received: from localhost (static-dwadziewiec-jedenpiec7.echostar.pl
 [109.232.29.157])
 by mail.mojserwer.eu (Postfix) with ESMTPSA id 45BC4E6650
 for <bug-gnu-emacs@HIDDEN>; Fri, 25 Jan 2019 22:33:54 +0100 (CET)
User-agent: mu4e 1.1.0; emacs 27.0.50
From: Marcin Borkowski <mbork@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Opening a pdf shows raw file at first
Date: Fri, 25 Jan 2019 22:33:12 +0100
Message-ID: <87y378e82v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.110.48.8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

`C-x C-f' any pdf file.  What is shown is a raw view instead of rendered
pdf.  After e.g. pressing an arrow or `n', docview (or pdf-tools if
installed) kicks in correctly.  Tested on emacs -Q.


In GNU Emacs 27.0.50 (build 16, x86_64-pc-linux-gnu, GTK+ Version 3.24.3)
 of 2019-01-24 built on tars
Repository revision: 0744c35307d544d960c9d7628ea91ad722ff6217
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Arch Linux

Configured using:
 'configure --with-xwidgets --with-xaw3d'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS XWIDGETS LIBSYSTEMD JSON
CANNOT_DUMP LCMS2 GMP

Important settings:
  value of $LC_COLLATE: pl_PL.UTF-8
  value of $LC_CTYPE: pl_PL.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: pl_PL.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: pl_PL.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

--
Marcin Borkowski
http://mbork.pl




Acknowledgement sent to Marcin Borkowski <mbork@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34202; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 30 Mar 2019 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.